Debian Bug report logs - #705930
ITP: kitchen -- Cornuscopia of useful Python code

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Simon Chopin <chopin.simon@gmail.com>

Date: Mon, 22 Apr 2013 12:39:02 UTC

Owned by: Simon Chopin <chopin.simon@gmail.com>

Severity: wishlist

Fixed in version kitchen/1.1.1-1

Done: Simon Chopin <chopin.simon@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, nicolas.dandrimont@crans.org, wnpp@debian.org:
Bug#705930; Package wnpp. (Mon, 22 Apr 2013 12:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Chopin <chopin.simon@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, nicolas.dandrimont@crans.org, wnpp@debian.org. (Mon, 22 Apr 2013 12:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Chopin <chopin.simon@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: kitchen -- Cornuscopia of useful Python code
Date: Mon, 22 Apr 2013 14:34:50 +0200
Package: wnpp
Severity: wishlist
Owner: Simon Chopin <chopin.simon@gmail.com>

* Package name    : kitchen
  Version         : 1.1.1
  Upstream Author : Toshio Kuratomi
* URL             : https://fedorahosted.org/kitchen/
* License         : LGPLv2.1+
  Programming Lang: Python
  Description     : Cornuscopia of useful Python code

Shameful yank&paste from the PyPI description:

> We've all done it. In the process of writing a brand new application
> we've discovered that we need a little bit of code that we've invented
> before. Perhaps it's something to handle unicode text. Perhaps it's
> something to make a bit of python-2.5 code run on python-2.3. Whatever
> it is, it ends up being a tiny bit of code that seems too small to worry
> about pushing into its own module so it sits there, a part of your
> current project, waiting to be cut and pasted into your next project.
> And the next. And the next. And since that little bittybit of code
> proved so useful to you, it's highly likely that it proved useful to
> someone else as well. Useful enough that they've written it and copy and
> pasted it over and over into each of their new projects.

> Well, no longer! Kitchen aims to pull these small snippets of code into
> a few python modules which you can import and use within your project.
> No more copy and paste! Now you can let someone else maintain and
> release these small snippets so that you can get on with your life.

This package is a dependency of fedmsg, which is in turn required for my
GSoC project application[1]. I intend to maintain this package from
within the Debian Python Modules Team.

[1] http://wiki.debian.org/SummerOfCode2013/StudentApplications/SimonChopin



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705930; Package wnpp. (Mon, 22 Apr 2013 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Chopin <chopin.simon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 22 Apr 2013 13:15:04 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Simon Chopin <chopin.simon@gmail.com>
To: Thomas Thurman <thomas@thurman.org.uk>, 705930@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#705930: ITP: kitchen -- Cornuscopia of useful Python code
Date: Mon, 22 Apr 2013 15:12:19 +0200
[Message part 1 (text/plain, inline)]
Quoting Thomas Thurman (2013-04-22 15:01:35)
> On Mon, Apr 22, 2013 at 02:34:50PM +0200, Simon Chopin wrote:
> >   Description     : Cornuscopia of useful Python code
> 
> Did you mean "cornucopia"?
> 
> T
Well, my upstream did I guess, I didn't bother rephrasing it. I'll feed
the fix upstream when i'll start the actual packaging work. Thanks for
the correction!

Simon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705930; Package wnpp. (Mon, 22 Apr 2013 13:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Chopin <chopin.simon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 22 Apr 2013 13:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Simon Chopin <chopin.simon@gmail.com>:
Bug#705930; Package wnpp. (Mon, 22 Apr 2013 13:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Thurman <thomas@thurman.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Simon Chopin <chopin.simon@gmail.com>. (Mon, 22 Apr 2013 13:33:10 GMT) Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Thurman <thomas@thurman.org.uk>
To: Simon Chopin <chopin.simon@gmail.com>, 705930@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#705930: ITP: kitchen -- Cornuscopia of useful Python code
Date: Mon, 22 Apr 2013 13:01:35 +0000
On Mon, Apr 22, 2013 at 02:34:50PM +0200, Simon Chopin wrote:
>   Description     : Cornuscopia of useful Python code

Did you mean "cornucopia"?

T

-- 
Thomas Thurman - thomas@thurman.org.uk - http://thurman.org.uk/thomas/
"Who would stoop to be fearless-- like a tree?"




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Simon Chopin <chopin.simon@gmail.com>:
Bug#705930; Package wnpp. (Mon, 22 Apr 2013 13:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Thurman <thomas@thurman.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Simon Chopin <chopin.simon@gmail.com>. (Mon, 22 Apr 2013 13:33:13 GMT) Full text and rfc822 format available.

Added indication that bug 705930 blocks 705941 Request was from Simon Chopin <chopin.simon@gmail.com> to submit@bugs.debian.org. (Mon, 22 Apr 2013 14:12:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 21 Jun 2013 20:15:17 GMT) Full text and rfc822 format available.

Reply sent to Simon Chopin <chopin.simon@gmail.com>:
You have taken responsibility. (Mon, 29 Jul 2013 21:03:05 GMT) Full text and rfc822 format available.

Notification sent to Simon Chopin <chopin.simon@gmail.com>:
Bug acknowledged by developer. (Mon, 29 Jul 2013 21:03:05 GMT) Full text and rfc822 format available.

Message #34 received at 705930-close@bugs.debian.org (full text, mbox):

From: Simon Chopin <chopin.simon@gmail.com>
To: 705930-close@bugs.debian.org
Subject: Bug#705930: fixed in kitchen 1.1.1-1
Date: Mon, 29 Jul 2013 21:00:06 +0000
Source: kitchen
Source-Version: 1.1.1-1

We believe that the bug you reported is fixed in the latest version of
kitchen, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705930@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Chopin <chopin.simon@gmail.com> (supplier of updated kitchen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 21 Jun 2013 14:24:57 -0400
Source: kitchen
Binary: python-kitchen
Architecture: source all
Version: 1.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Simon Chopin <chopin.simon@gmail.com>
Description: 
 python-kitchen - Python library of containers, text and i18n helpers
Closes: 705930
Changes: 
 kitchen (1.1.1-1) unstable; urgency=low
 .
   [ Simon Chopin ]
   * Initial release. (Closes: #705930)
   * Patch the test set to use consistent locale naming (forwarded)
 .
   [ Jakub Wilk ]
   * Use canonical URIs for Vcs-* fields.
Checksums-Sha1: 
 47a8416db167119c5ad0a39f8bb47c034ea141a9 2031 kitchen_1.1.1-1.dsc
 89de2b9cc2d61710de8da66c55b50ffa0edbb034 158105 kitchen_1.1.1.orig.tar.gz
 0272c2fb84571451f9a2e35fb9aef890cd24a25b 10526 kitchen_1.1.1-1.debian.tar.gz
 d78921bfde5cd9d78d7def6f690dc10aba49455d 44240 python-kitchen_1.1.1-1_all.deb
Checksums-Sha256: 
 dd2dac998e3a4e50e11b5a9f0a43b99f57526333e2d705245f28f29e5610b62a 2031 kitchen_1.1.1-1.dsc
 25670f80bcbabd0656946125cfad310980d5a5900d6c160d4f0187292120284e 158105 kitchen_1.1.1.orig.tar.gz
 c348407d7219b62b018d194df12928489d5509ad0197faf74307fc5b5d2a9951 10526 kitchen_1.1.1-1.debian.tar.gz
 2a0e765f91f14759efd84bab995e0b44114903e74cc9d9379b8f2ab866748c32 44240 python-kitchen_1.1.1-1_all.deb
Files: 
 96713610244c75af9593acf42dce470c 2031 python optional kitchen_1.1.1-1.dsc
 059d7ce048ca1d0fb53e6755145137b0 158105 python optional kitchen_1.1.1.orig.tar.gz
 3f86ed70ef5d79958f4e38556f833f92 10526 python optional kitchen_1.1.1-1.debian.tar.gz
 532295cb18d066b45804dfb93124c365 44240 python optional python-kitchen_1.1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRxKhHAAoJEHtYWzCAfCqHTYQP/iy7tTqh75LkpnOhVs2ZyYiz
GOT2eekdi8ITuVD6hzRWTndjYYEOGVDGJAMRTgTshbo1LEoi78hu1KCbJjGbcJQP
KROoWOCV7le37oNc5F0EZr7FiackX7kEpcNiH62bM3iMgRw07Hx7pYCZzekU5Vph
q0gr4L6xYSU1mis3znOrtX8xthrrWFmSyNxM3npJe/itUz2KEwjklNzV2+Bear/R
sEomZ72mhktHDhiT4cvUt1oIIz9/ZjSayXA88sekEVDk58O1YErjsuVytrLcKgLI
FWYR7jykxveVFPm88CFXtLOygxq69MA/Fi4eAwhGYOPRy2/4vVt7NuconyKzxGsu
Mv6MzleIBIsHzKPkTJ2VbaNLch/KCYPB93dP8YfXPe0n6UzVABioeZOJ6ocXYFwY
h1fXUmEKFt/IUKUD1gSfXOE0twFtXARXIN7ZB8njZkvnYttRSZapoKOcjClr/lXI
KPW1wiLJ/+5FWJgqgA19RCTA2vpE/oschUmZlWyc/EnhLSKTXNvhZILb/SvYfFS0
EVfneDbPheMogvUV8SKX4QxuLqzNbgaZxjL+ym7aKnWCSO5FiZuvN/VAe1Oir9zq
Q0pfRa4hrKulbTP2fu05SbNuZPKIcADKgIol8iKTqs74vZ4pXS5ayi2bAI12A5kM
Bgiz5IeqbEQA4ulWD6vf
=c+Lq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Aug 2013 07:29:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:17:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.